## org.apache.http.impl.auth
Class NegotiateSchemeFactory

    java.lang.Object
      org.apache.http.impl.auth.NegotiateSchemeFactory

All Implemented Interfaces:
  AuthSchemeFactory

    @Immutable
    public class NegotiateSchemeFactory

extends Object
implements AuthSchemeFactory

SPNEGO (Simple and Protected GSSAPI Negotiation Mechanism) authentication scheme factory.

Since:
  4.1

Constructor Summary
`NegotiateSchemeFactory()`
`NegotiateSchemeFactory(SpnegoTokenGenerator spengoGenerator)`
`NegotiateSchemeFactory(SpnegoTokenGenerator spengoGenerator, boolean stripPort)`

Method Summary
`SpnegoTokenGenerator` `getSpengoGenerator()`
`boolean` `isStripPort()`
`AuthScheme` `newInstance(HttpParams params)` Creates an instance of `AuthScheme` using given HTTP parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NegotiateSchemeFactory

    public NegotiateSchemeFactory(SpnegoTokenGenerator spengoGenerator,
                                  boolean stripPort)

### NegotiateSchemeFactory

    public NegotiateSchemeFactory(SpnegoTokenGenerator spengoGenerator)

### NegotiateSchemeFactory

    public NegotiateSchemeFactory()

Method Detail

### newInstance

    public AuthScheme newInstance(HttpParams params)

  Description copied from interface: `AuthSchemeFactory`
  Creates an instance of `AuthScheme` using given HTTP parameters.

  Specified by:
    `newInstance` in interface `AuthSchemeFactory`
  Parameters:
    `params` - HTTP parameters.
  Returns:
    auth scheme.

### isStripPort

    public boolean isStripPort()

### getSpengoGenerator

    public SpnegoTokenGenerator getSpengoGenerator()

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.